Package org.apache.torque.generator.configuration

# Class ConfigurationHandlers

java.lang.Object
org.apache.torque.generator.configuration.ConfigurationHandlers

public class ConfigurationHandlers extends Object
Contains the required handlers for reading the configuration. $Id: ConfigurationHandlers.java 1917241 2024-04-21 13:29:41Z tv $

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationHandlers()`
  Standard constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActionSaxHandlerFactories`
  `getActionSaxHandlerFactories()`
  Returns the known mergepoint action handlers.
  `OptionsSaxHandlerFactories`
  `getOptionsSaxHandlerFactories()`
  Returns the known options handlers.
  `OutletTypes`
  `getOutletTypes()`
  Returns the known outlet types.
  `Map<String,OutputType>`
  `getOutputTypes()`
  Returns the known output types.
  `SourceSaxHandlerFactories`
  `getSourceSaxHandlerFactories()`
  Returns the known source configuration handlers.
  `Set<StreamSourceFormat>`
  `getStreamSourceFormats()`
  Returns the known formats of stream (e.g. file) sources.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationHandlers

    public ConfigurationHandlers()
    Standard constructor.

- ## Method Details

  - ### getOutletTypes

    public OutletTypes getOutletTypes()
    Returns the known outlet types.
    Returns:
      the known outlet types, not null.

  - ### getOutputTypes

    public Map<String,OutputType> getOutputTypes()
    Returns the known output types.
    Returns:
      the known outlet types, not null.

  - ### getSourceSaxHandlerFactories

    public SourceSaxHandlerFactories getSourceSaxHandlerFactories()
    Returns the known source configuration handlers.
    Returns:
      the known source configuration handlers, not mull.

  - ### getStreamSourceFormats

    public Set<StreamSourceFormat> getStreamSourceFormats()
    Returns the known formats of stream (e.g. file) sources.
    Returns:
      the known stream source formats, not null.

  - ### getActionSaxHandlerFactories

    public ActionSaxHandlerFactories getActionSaxHandlerFactories()
    Returns the known mergepoint action handlers.
    Returns:
      the known mergepoint action handlers, not null.

  - ### getOptionsSaxHandlerFactories

    public OptionsSaxHandlerFactories getOptionsSaxHandlerFactories()
    Returns the known options handlers.
    Returns:
      the known options handlers, not null.